# Interface ModifiersTree

All Superinterfaces:
  `Tree`

public interface ModifiersTree extends Tree
A tree node for the modifiers, including annotations, for a declaration. For example:

      flags

      flags annotations

See Java Language Specification:
  8.1.1 Class Modifiers
  8.1.3 Inner Classes and Enclosing Instances
  8.3.1 Field Modifiers
  8.4.3 Method Modifiers
  8.8.3 Constructor Modifiers
  9.1.1 Interface Modifiers
  9.7 Annotations
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends AnnotationTree>`
`getAnnotations()`
Returns the annotations in this modifiers tree.
`Set<Modifier>`
`getFlags()`
Returns the flags in this modifiers tree.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getFlags

Set<Modifier> getFlags()
Returns the flags in this modifiers tree.

Returns:
  the flags

### getAnnotations

List<? extends AnnotationTree> getAnnotations()
Returns the annotations in this modifiers tree.

Returns:
  the annotations